View Issue Details

IDProjectCategoryView StatusLast Update
0016515CentOS-7sambapublic2020-03-03 12:55
Reporterbgstack15 Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status newResolutionopen 
Product Version7.7-1908 
Summary0016515: Samba 4.9.1-6 always fails with ipasam backend
DescriptionI use samba with freeipa authentication to the SMB exports. The dedicated keytab has a valid key and I can kinit -kt /etc/samba/samba.keytab cifs/storage1.ipa.mydomain.com@IPA.MYDOMAIN.COM. However, samba fails to start.
Steps To Reproduce1. Upgrade from samba 4.8.3 to 4.9.1 with "yum update"
2. Restart samba.
Additional InformationRunning this command to downgrade the affected packages allows samba to start normally:

yum --enablerepo=C7.6.1810* downgrade samba samba-client samba-client-libs libsmbclient samba-common samba-common-libs samba-common-tools samba-libs samba-python samba-winbind samba-winbind-modules libwbclient

Suite 4.8.3 and before have worked well with this arrangement. The attached log file was captured at log level = 10 and includes the samba.conf contents.
Tagssamba
abrt_hash
URL

Activities

bgstack15

bgstack15

2019-10-01 21:55

reporter  

samba.log-scrubbed (77,262 bytes)   
[2019/10/01 16:56:18.955610,  3, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:3872(lp_load_ex)
  lp_load_ex: refreshing parameters
[2019/10/01 16:56:18.955645,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:1346(free_param_opts)
  Freeing parametrics:
[2019/10/01 16:56:18.955718,  3, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:548(init_globals)
  Initialising global parameters
[2019/10/01 16:56:18.955826,  3, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:2786(lp_do_section)
  Processing section "[global]"
  doing parameter ntlm auth = no
  doing parameter debug pid = yes
  doing parameter realm = IPA.MYDOMAIN.COM
  doing parameter workgroup = IPA
  doing parameter domain master = Yes
  doing parameter ldap group suffix = cn=groups,cn=accounts
  doing parameter ldap machine suffix = cn=computers,cn=accounts
  doing parameter ldap ssl = off
  doing parameter ldap suffix = dc=ipa,dc=mydomain,dc=com
  doing parameter ldap user suffix = cn=users,cn=accounts
  doing parameter log file = /var/log/samba/log
  doing parameter max log size = 100000
  doing parameter domain logons = Yes
  doing parameter registry shares = Yes
  doing parameter disable spoolss = Yes
  doing parameter dedicated keytab file = FILE:/etc/samba/samba.keytab
  doing parameter kerberos method = dedicated keytab
  doing parameter passdb backend = ipasam:ldaps://dns1.ipa.mydomain.com ldaps://dns2.ipa.mydomain.com
  doing parameter security = USER
  doing parameter create krb5 conf = No
  doing parameter rpc_daemon:lsasd = fork
  doing parameter rpc_daemon:epmd = fork
  doing parameter rpc_server:tcpip = yes
  doing parameter rpc_server:netlogon = external
  doing parameter rpc_server:samr = external
  doing parameter rpc_server:lsasd = external
  doing parameter rpc_server:lsass = external
  doing parameter rpc_server:lsarpc = external
  doing parameter rpc_server:epmapper = external
  doing parameter ldapsam:trusted = yes
  doing parameter idmap config * : backend = tdb
  doing parameter log level = 10
[2019/10/01 16:56:18.956479,  5, pid=11556, effective(0, 0), real(0, 0)] ../lib/util/debug.c:754(debug_dump_status)
  INFO: Current debug levels:
    all: 10
    tdb: 10
    printdrivers: 10
    lanman: 10
    smb: 10
    rpc_parse: 10
    rpc_srv: 10
    rpc_cli: 10
    passdb: 10
    sam: 10
    auth: 10
    winbind: 10
    vfs: 10
    idmap: 10
    quota: 10
    acls: 10
    locking: 10
    msdfs: 10
    dmapi: 10
    registry: 10
    scavenger: 10
    dns: 10
    ldb: 10
    tevent: 10
    auth_audit: 10
    auth_json_audit: 10
    kerberos: 10
    drs_repl: 10
    smb2: 10
    smb2_credits: 10
    dsdb_audit: 10
    dsdb_json_audit: 10
    dsdb_password_audit: 10
    dsdb_password_json_audit: 10
    dsdb_transaction_audit: 10
    dsdb_transaction_json_audit: 10
    dsdb_group_audit: 10
    dsdb_group_json_audit: 10
  doing parameter ldap admin dn = cn=Directory Manager
[2019/10/01 16:56:18.956710,  2, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:2803(lp_do_section)
  Processing section "[homes]"
[2019/10/01 16:56:18.956761,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:1462(add_a_service)
  add_a_service: Creating snum = 0 for homes
[2019/10/01 16:56:18.956786, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:1503(hash_a_service)
  hash_a_service: creating servicehash
[2019/10/01 16:56:18.956813, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:1512(hash_a_service)
  hash_a_service: hashing index 0 for service name homes
  doing parameter comment = Home Directories
  doing parameter valid users = %S, %D%w%S
  doing parameter browseable = No
  doing parameter read only = No
  doing parameter inherit acls = Yes
[2019/10/01 16:56:18.956950,  2, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:2803(lp_do_section)
  Processing section "[public]"
[2019/10/01 16:56:18.957001,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:1462(add_a_service)
  add_a_service: Creating snum = 1 for public
[2019/10/01 16:56:18.957025, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:1512(hash_a_service)
  hash_a_service: hashing index 1 for service name public
  doing parameter comment = Public share
  doing parameter path = /var/storage1/shares/public
  doing parameter valid users = @public
  doing parameter browseable = Yes
  doing parameter read only = No
  doing parameter inherit acls = Yes
[2019/10/01 16:56:18.957170,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:3914(lp_load_ex)
  pm_process() returned Yes
[2019/10/01 16:56:18.957227, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_init_smbconf.c:41(registry_init_smbconf)
  registry_init_smbconf called
[2019/10/01 16:56:18.957317, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:770(regdb_init)
  regdb_init: registry db openend. refcount reset (1)
[2019/10/01 16:56:18.957386, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:70(reghook_cache_init)
  reghook_cache_init: new tree with default ops 0x7f254c3b8000 for key []
[2019/10/01 16:56:18.957641, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1907(regdb_fetch_values_internal)
  regdb_fetch_values: Looking for values of key [HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Ports]
[2019/10/01 16:56:18.957688, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1852(regdb_unpack_values)
  regdb_unpack_values: value[0]: name[Samba Printer Port] len[2]
[2019/10/01 16:56:18.957716, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1907(regdb_fetch_values_internal)
  regdb_fetch_values: Looking for values of key [HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Print\Printers]
[2019/10/01 16:56:18.957758, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1852(regdb_unpack_values)
  regdb_unpack_values: value[0]: name[DefaultSpoolDirectory] len[70]
[2019/10/01 16:56:18.957786, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1907(regdb_fetch_values_internal)
  regdb_fetch_values: Looking for values of key [HKLM\SYSTEM\CurrentControlSet\Services\Eventlog]
[2019/10/01 16:56:18.957827, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1852(regdb_unpack_values)
  regdb_unpack_values: value[0]: name[DisplayName] len[20]
[2019/10/01 16:56:18.957853, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1852(regdb_unpack_values)
  regdb_unpack_values: value[1]: name[ErrorControl] len[4]
[2019/10/01 16:56:18.957879, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1907(regdb_fetch_values_internal)
  regdb_fetch_values: Looking for values of key [HKLM\SYSTEM\CurrentControlSet\Services\Eventlog]
[2019/10/01 16:56:18.957920, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1852(regdb_unpack_values)
  regdb_unpack_values: value[0]: name[DisplayName] len[20]
[2019/10/01 16:56:18.957958, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1852(regdb_unpack_values)
  regdb_unpack_values: value[1]: name[ErrorControl] len[4]
[2019/10/01 16:56:18.957996, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:94(reghook_cache_add)
  reghook_cache_add: Adding ops 0x7f254c3b83c0 for key [\HKLM\SOFTWARE\Samba\smbconf]
[2019/10/01 16:56:18.958020,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:215(pathtree_add)
  pathtree_add: Enter
[2019/10/01 16:56:18.958045, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:282(pathtree_add)
  pathtree_add: Successfully added node [HKLM\SOFTWARE\Samba\smbconf] to tree
[2019/10/01 16:56:18.958068,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:284(pathtree_add)
  pathtree_add: Exit
[2019/10/01 16:56:18.958090, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:904(regdb_close)
  regdb_close: decrementing refcount (1->0)
[2019/10/01 16:56:18.958148,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:216(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2019/10/01 16:56:18.958185,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/uid.c:558(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2019/10/01 16:56:18.958215,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:320(set_sec_ctx_internal)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2019/10/01 16:56:18.958242,  5, pid=11556, effective(0, 0), real(0, 0)] ../libcli/security/security_token.c:53(security_token_debug)
  Security token: (NULL)
[2019/10/01 16:56:18.958281,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/auth/token_util.c:850(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2019/10/01 16:56:18.958373,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:438(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2019/10/01 16:56:18.958404, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:887(regdb_open)
  regdb_open: registry db opened. refcount reset (1)
[2019/10/01 16:56:18.958430,  7, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_api.c:143(regkey_open_onelevel)
  regkey_open_onelevel: name = [HKLM]
[2019/10/01 16:56:18.958455, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:859(regdb_open)
  regdb_open: incrementing refcount (1->2)
[2019/10/01 16:56:18.958482, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:125(reghook_cache_find)
  reghook_cache_find: Searching for keyname [\HKLM]
[2019/10/01 16:56:18.958505, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:367(pathtree_find)
  pathtree_find: Enter [\HKLM]
[2019/10/01 16:56:18.958528, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:440(pathtree_find)
  pathtree_find: Exit
[2019/10/01 16:56:18.958549, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:130(reghook_cache_find)
  reghook_cache_find: found ops 0x7f254c3b8000 for key [\HKLM]
[2019/10/01 16:56:18.958618,  7, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_api.c:143(regkey_open_onelevel)
  regkey_open_onelevel: name = [SOFTWARE]
[2019/10/01 16:56:18.958644, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:859(regdb_open)
  regdb_open: incrementing refcount (2->3)
[2019/10/01 16:56:18.958670, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:125(reghook_cache_find)
  reghook_cache_find: Searching for keyname [\HKLM\SOFTWARE]
[2019/10/01 16:56:18.958693, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:367(pathtree_find)
  pathtree_find: Enter [\HKLM\SOFTWARE]
[2019/10/01 16:56:18.958716, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:440(pathtree_find)
  pathtree_find: Exit
[2019/10/01 16:56:18.958737, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:130(reghook_cache_find)
  reghook_cache_find: found ops 0x7f254c3b8000 for key [\HKLM\SOFTWARE]
[2019/10/01 16:56:18.958788,  7, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_api.c:143(regkey_open_onelevel)
  regkey_open_onelevel: name = [Samba]
[2019/10/01 16:56:18.958818, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:859(regdb_open)
  regdb_open: incrementing refcount (3->4)
[2019/10/01 16:56:18.958844, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:125(reghook_cache_find)
  reghook_cache_find: Searching for keyname [\HKLM\SOFTWARE\Samba]
[2019/10/01 16:56:18.958867, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:367(pathtree_find)
  pathtree_find: Enter [\HKLM\SOFTWARE\Samba]
[2019/10/01 16:56:18.958891, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:440(pathtree_find)
  pathtree_find: Exit
[2019/10/01 16:56:18.958912, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:130(reghook_cache_find)
  reghook_cache_find: found ops 0x7f254c3b8000 for key [\HKLM\SOFTWARE\Samba]
[2019/10/01 16:56:18.958979,  7, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_api.c:143(regkey_open_onelevel)
  regkey_open_onelevel: name = [smbconf]
[2019/10/01 16:56:18.959011, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:859(regdb_open)
  regdb_open: incrementing refcount (4->5)
[2019/10/01 16:56:18.959038, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:125(reghook_cache_find)
  reghook_cache_find: Searching for keyname [\HKLM\SOFTWARE\Samba\smbconf]
[2019/10/01 16:56:18.959063, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:367(pathtree_find)
  pathtree_find: Enter [\HKLM\SOFTWARE\Samba\smbconf]
[2019/10/01 16:56:18.959087, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:440(pathtree_find)
  pathtree_find: Exit
[2019/10/01 16:56:18.959108, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:130(reghook_cache_find)
  reghook_cache_find: found ops 0x7f254c3b83c0 for key [\HKLM\SOFTWARE\Samba\smbconf]
[2019/10/01 16:56:18.959152, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:904(regdb_close)
  regdb_close: decrementing refcount (5->4)
[2019/10/01 16:56:18.959177, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:904(regdb_close)
  regdb_close: decrementing refcount (4->3)
[2019/10/01 16:56:18.959202, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:904(regdb_close)
  regdb_close: decrementing refcount (3->2)
[2019/10/01 16:56:18.959226,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:2165(process_registry_service)
  process_registry_service: service name homes
[2019/10/01 16:56:18.959250,  7, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_api.c:143(regkey_open_onelevel)
  regkey_open_onelevel: name = [homes]
[2019/10/01 16:56:18.959274, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:859(regdb_open)
  regdb_open: incrementing refcount (2->3)
[2019/10/01 16:56:18.959300, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:125(reghook_cache_find)
  reghook_cache_find: Searching for keyname [\HKLM\SOFTWARE\Samba\smbconf\homes]
[2019/10/01 16:56:18.959323, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:367(pathtree_find)
  pathtree_find: Enter [\HKLM\SOFTWARE\Samba\smbconf\homes]
[2019/10/01 16:56:18.959347, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:440(pathtree_find)
  pathtree_find: Exit
[2019/10/01 16:56:18.959369, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:130(reghook_cache_find)
  reghook_cache_find: found ops 0x7f254c3b83c0 for key [\HKLM\SOFTWARE\Samba\smbconf\homes]
[2019/10/01 16:56:18.959402, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1741(regdb_fetch_keys_internal)
  key [HKLM\SOFTWARE\Samba\smbconf\homes] not found
[2019/10/01 16:56:18.959431, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:904(regdb_close)
  regdb_close: decrementing refcount (3->2)
[2019/10/01 16:56:18.959456,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:2165(process_registry_service)
  process_registry_service: service name public
[2019/10/01 16:56:18.959480,  7, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_api.c:143(regkey_open_onelevel)
  regkey_open_onelevel: name = [public]
[2019/10/01 16:56:18.959504, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:859(regdb_open)
  regdb_open: incrementing refcount (2->3)
[2019/10/01 16:56:18.959529, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:125(reghook_cache_find)
  reghook_cache_find: Searching for keyname [\HKLM\SOFTWARE\Samba\smbconf\public]
[2019/10/01 16:56:18.959552, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:367(pathtree_find)
  pathtree_find: Enter [\HKLM\SOFTWARE\Samba\smbconf\public]
[2019/10/01 16:56:18.959583, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:440(pathtree_find)
  pathtree_find: Exit
[2019/10/01 16:56:18.959605, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:130(reghook_cache_find)
  reghook_cache_find: found ops 0x7f254c3b83c0 for key [\HKLM\SOFTWARE\Samba\smbconf\public]
[2019/10/01 16:56:18.959638, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1741(regdb_fetch_keys_internal)
  key [HKLM\SOFTWARE\Samba\smbconf\public] not found
[2019/10/01 16:56:18.959663, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:904(regdb_close)
  regdb_close: decrementing refcount (3->2)
[2019/10/01 16:56:18.959714,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:1462(add_a_service)
  add_a_service: Creating snum = 2 for IPC$
[2019/10/01 16:56:18.959738, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:1512(hash_a_service)
  hash_a_service: hashing index 2 for service name IPC$
[2019/10/01 16:56:18.959766,  3, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:1621(lp_add_ipc)
  adding IPC service
[2019/10/01 16:56:18.959815,  6, pid=11556, effective(0, 0), real(0, 0)] ../source3/param/loadparm.c:2336(lp_file_list_changed)
  lp_file_list_changed()
  file /etc/samba/smb.conf -> /etc/samba/smb.conf  last mod_time: Tue Oct  1 16:56:17 2019
  
[2019/10/01 16:56:18.960310,  2, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/interface.c:345(add_interface)
  added interface enp5s5 ip=192.168.1.14 bcast=192.168.1.255 netmask=255.255.255.0
[2019/10/01 16:56:18.960386,  3, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/server.c:1810(main)
  loaded services
[2019/10/01 16:56:18.960419,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/util_names.c:152(init_names)
  Netbios name list:-
  my_netbios_names[0]="STORAGE1"
[2019/10/01 16:56:18.963321,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/messages.c:709(messaging_register)
  Registering messaging pointer for type 4 - private_data=(nil)
[2019/10/01 16:56:18.963392,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/messages.c:709(messaging_register)
  Registering messaging pointer for type 7 - private_data=(nil)
[2019/10/01 16:56:18.963534,  1, pid=11556, effective(0, 0), real(0, 0)] ../source3/profile/profile.c:51(set_profile_level)
  INFO: Profiling turned OFF from pid 11556
[2019/10/01 16:56:18.963569,  3, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/server.c:1830(main)
  Standard input is not a socket, assuming -D option
[2019/10/01 16:56:18.963592,  3, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/server.c:1842(main)
  Becoming a daemon.
[2019/10/01 16:56:18.963894, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/messages_dgm_ref.c:175(msg_dgm_ref_destructor)
  msg_dgm_ref_destructor: refs=(nil)
[2019/10/01 16:56:18.964294, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/messages_dgm_ref.c:92(messaging_dgm_ref)
  messaging_dgm_ref: messaging_dgm_init returned Success
[2019/10/01 16:56:18.964339, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/messages_dgm_ref.c:121(messaging_dgm_ref)
  messaging_dgm_ref: unique = 6939258875112087832
[2019/10/01 16:56:18.964444,  5, pid=11556, effective(0, 0), real(0, 0), class=passdb] ../source3/passdb/pdb_interface.c:155(make_pdb_method_name)
  Attempting to find a passdb backend to match ipasam:ldaps://dns1.ipa.mydomain.com ldaps://dns2.ipa.mydomain.com (ipasam)
[2019/10/01 16:56:18.964478,  2, pid=11556, effective(0, 0), real(0, 0), class=passdb] ../source3/passdb/pdb_interface.c:161(make_pdb_method_name)
  No builtin backend found, trying to load plugin
[2019/10/01 16:56:18.964511,  5, pid=11556, effective(0, 0), real(0, 0)] ../lib/util/modules.c:160(load_module_absolute_path)
  load_module_absolute_path: Probing module '/usr/lib64/samba/pdb/ipasam.so'
[2019/10/01 16:56:18.971792,  3, pid=11556, effective(0, 0), real(0, 0)] ../lib/util/modules.c:167(load_module_absolute_path)
  load_module_absolute_path: Module '/usr/lib64/samba/pdb/ipasam.so' loaded
[2019/10/01 16:56:18.971847,  5, pid=11556, effective(0, 0), real(0, 0), class=passdb] ../source3/passdb/pdb_interface.c:79(smb_register_passdb)
  Attempting to register passdb backend ipasam
[2019/10/01 16:56:18.971877,  5, pid=11556, effective(0, 0), real(0, 0), class=passdb] ../source3/passdb/pdb_interface.c:92(smb_register_passdb)
  Successfully added passdb backend 'ipasam'
[2019/10/01 16:56:18.971905,  5, pid=11556, effective(0, 0), real(0, 0), class=passdb] ../source3/passdb/pdb_interface.c:176(make_pdb_method_name)
  Found pdb backend ipasam
[2019/10/01 16:56:18.972778,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [], filter => [(objectclass=*)], scope => [0]
[2019/10/01 16:56:18.972844,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1173(smbldap_close)
  The connection to the LDAP server was closed
[2019/10/01 16:56:18.972874, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:648(smb_ldap_setup_conn)
  smb_ldap_setup_connection: ldaps://dns1.ipa.mydomain.com ldaps://dns2.ipa.mydomain.com
[2019/10/01 16:56:18.974379,  2, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:847(smbldap_open_connection)
  smbldap_open_connection: connection opened
[2019/10/01 16:56:18.974417, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1007(smbldap_connect_system)
  ldap_connect_system: Binding to ldap server ldaps://dns1.ipa.mydomain.com ldaps://dns2.ipa.mydomain.com as "(null)"
[2019/10/01 16:56:18.974447,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:216(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2019/10/01 16:56:18.974473,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/uid.c:558(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2019/10/01 16:56:18.974496,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:320(set_sec_ctx_internal)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2019/10/01 16:56:18.974520,  5, pid=11556, effective(0, 0), real(0, 0)] ../libcli/security/security_token.c:53(security_token_debug)
  Security token: (NULL)
[2019/10/01 16:56:18.974542,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/auth/token_util.c:850(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2019/10/01 16:56:19.301606,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:438(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2019/10/01 16:56:19.304241,  3, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1069(smbldap_connect_system)
  ldap_connect_system: successful connection to the LDAP server
  ldap_connect_system: LDAP server does support paged results
[2019/10/01 16:56:19.304294,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1151(smbldap_open)
  The LDAP server is successfully connected
[2019/10/01 16:56:19.308758,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [dc=ipa,dc=mydomain,dc=com], filter => [objectclass=domainRelatedObject], scope => [0]
[2019/10/01 16:56:19.320345,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [dc=ipa,dc=mydomain,dc=com], filter => [objectclass=krbrealmcontainer], scope => [2]
[2019/10/01 16:56:19.322457,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [dc=ipa,dc=mydomain,dc=com], filter => [objectClass=ipaNTDomainAttrs], scope => [2]
[2019/10/01 16:56:19.324707,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [cn=Default SMB Group,cn=groups,cn=accounts,dc=ipa,dc=mydomain,dc=com], filter => [objectClass=*], scope => [0]
[2019/10/01 16:56:19.325730,  5, pid=11556, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:130(dbwrap_lock_order_lock)
  dbwrap_lock_order_lock: check lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.325779, 10, pid=11556, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:116(debug_lock_order)
  lock order:  1:/var/lib/samba/private/secrets.tdb 2:<none> 3:<none>
[2019/10/01 16:56:19.325833,  5, pid=11556, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:159(dbwrap_lock_order_unlock)
  dbwrap_lock_order_unlock: release lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.325891,  5, pid=11556, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:130(dbwrap_lock_order_lock)
  dbwrap_lock_order_lock: check lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.325917, 10, pid=11556, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:116(debug_lock_order)
  lock order:  1:/var/lib/samba/private/secrets.tdb 2:<none> 3:<none>
[2019/10/01 16:56:19.325965,  5, pid=11556, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:159(dbwrap_lock_order_unlock)
  dbwrap_lock_order_unlock: release lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.326021,  5, pid=11556, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:130(dbwrap_lock_order_lock)
  dbwrap_lock_order_lock: check lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.326047, 10, pid=11556, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:116(debug_lock_order)
  lock order:  1:/var/lib/samba/private/secrets.tdb 2:<none> 3:<none>
[2019/10/01 16:56:19.326080,  5, pid=11556, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:159(dbwrap_lock_order_unlock)
  dbwrap_lock_order_unlock: release lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.326115,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [cn=IPA.MYDOMAIN.COM,cn=kerberos,dc=ipa,dc=mydomain,dc=com], filter => [objectclass=krbrealmcontainer], scope => [0]
[2019/10/01 16:56:19.327184, 10, pid=11556, effective(0, 0), real(0, 0)] ipa_sam.c:398(get_attribute_values)
  Attribute [krbDefaultEncSaltTypes] not found.
[2019/10/01 16:56:19.327227,  1, pid=11556, effective(0, 0), real(0, 0)] ipa_sam.c:4867(pdb_init_ipasam)
  pdb_init_ipasam: support for pdb_enum_upn_suffixes enabled for domain ipa.mydomain.com
[2019/10/01 16:56:19.327266,  5, pid=11556, effective(0, 0), real(0, 0), class=passdb] ../source3/passdb/pdb_interface.c:187(make_pdb_method_name)
  pdb backend ipasam:ldaps://dns1.ipa.mydomain.com ldaps://dns2.ipa.mydomain.com has a valid init
[2019/10/01 16:56:19.328122,  5, pid=11556, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:130(dbwrap_lock_order_lock)
  dbwrap_lock_order_lock: check lock order 1 for /var/lib/samba/lock/smbXsrv_version_global.tdb
[2019/10/01 16:56:19.328164, 10, pid=11556, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:116(debug_lock_order)
  lock order:  1:/var/lib/samba/lock/smbXsrv_version_global.tdb 2:<none> 3:<none>
[2019/10/01 16:56:19.328199, 10, pid=11556, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap_tdb.c:61(db_tdb_log_key)
  db_tdb_log_key: Locking key 736D62587372765F7665
[2019/10/01 16:56:19.328240, 10, pid=11556, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap_tdb.c:145(db_tdb_fetch_locked_internal)
  db_tdb_fetch_locked_internal: Allocated locked data 0x561a5f0c4050
[2019/10/01 16:56:19.328705, 10, pid=11556, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap_tdb.c:61(db_tdb_log_key)
  db_tdb_log_key: Unlocking key 736D62587372765F7665
[2019/10/01 16:56:19.328740,  5, pid=11556, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:159(dbwrap_lock_order_unlock)
  dbwrap_lock_order_unlock: release lock order 1 for /var/lib/samba/lock/smbXsrv_version_global.tdb
[2019/10/01 16:56:19.328769, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/smbXsrv_version.c:250(smbXsrv_version_global_init)
  smbXsrv_version_global_init
[2019/10/01 16:56:19.328806, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/smbXsrv_version.c:251(smbXsrv_version_global_init)
[2019/10/01 16:56:19.328827,  1, pid=11556, effective(0, 0), real(0, 0), class=rpc_parse] ../librpc/ndr/ndr.c:422(ndr_print_debug)
       &global_blob: struct smbXsrv_version_globalB
          version                  : SMBXSRV_VERSION_0 (0)
          seqnum                   : 0x00000001 (1)
          info                     : union smbXsrv_version_globalU(case 0)
          info0                    : *
              info0: struct smbXsrv_version_global0
                  db_rec                   : NULL
                  num_nodes                : 0x00000001 (1)
                  nodes: ARRAY(1)
                      nodes: struct smbXsrv_version_node0
                          server_id: struct server_id
                              pid                      : 0x0000000000002d24 (11556)
                              task_id                  : 0x00000000 (0)
                              vnn                      : 0xffffffff (4294967295)
                              unique_id                : 0x604d332e5f886118 (6939258875112087832)
                          min_version              : SMBXSRV_VERSION_0 (0)
                          max_version              : SMBXSRV_VERSION_0 (0)
                          current_version          : SMBXSRV_VERSION_0 (0)
[2019/10/01 16:56:19.372974,  3, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/util_procid.c:54(pid_to_procid)
  pid_to_procid: messaging_dgm_get_unique failed: No such file or directory
[2019/10/01 16:56:19.373377, 10, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/messages_dgm_ref.c:175(msg_dgm_ref_destructor)
  msg_dgm_ref_destructor: refs=(nil)
[2019/10/01 16:56:19.374114, 10, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/messages_dgm_ref.c:92(messaging_dgm_ref)
  messaging_dgm_ref: messaging_dgm_init returned Success
[2019/10/01 16:56:19.374200, 10, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/messages_dgm_ref.c:121(messaging_dgm_ref)
  messaging_dgm_ref: unique = 15144095655363097617
[2019/10/01 16:56:19.375351, 10, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/messages_dgm_ref.c:175(msg_dgm_ref_destructor)
  msg_dgm_ref_destructor: refs=(nil)
[2019/10/01 16:56:19.375914, 10, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/messages_dgm_ref.c:92(messaging_dgm_ref)
  messaging_dgm_ref: messaging_dgm_init returned Success
[2019/10/01 16:56:19.375997, 10, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/messages_dgm_ref.c:121(messaging_dgm_ref)
  messaging_dgm_ref: unique = 12672698978970924278
[2019/10/01 16:56:19.377105,  5, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1173(smbldap_close)
  The connection to the LDAP server was closed
[2019/10/01 16:56:19.377180,  5, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1173(smbldap_close)
  The connection to the LDAP server was closed
[2019/10/01 16:56:19.377234,  5, pid=11558, effective(0, 0), real(0, 0), class=passdb] ../source3/passdb/pdb_interface.c:155(make_pdb_method_name)
  Attempting to find a passdb backend to match ipasam:ldaps://dns1.ipa.mydomain.com ldaps://dns2.ipa.mydomain.com (ipasam)
[2019/10/01 16:56:19.377271,  5, pid=11558, effective(0, 0), real(0, 0), class=passdb] ../source3/passdb/pdb_interface.c:176(make_pdb_method_name)
  Found pdb backend ipasam
[2019/10/01 16:56:19.377596,  5, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [], filter => [(objectclass=*)], scope => [0]
[2019/10/01 16:56:19.377660,  5, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1173(smbldap_close)
  The connection to the LDAP server was closed
[2019/10/01 16:56:19.377686, 10, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:648(smb_ldap_setup_conn)
  smb_ldap_setup_connection: ldaps://dns1.ipa.mydomain.com ldaps://dns2.ipa.mydomain.com
[2019/10/01 16:56:19.377844,  2, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:847(smbldap_open_connection)
  smbldap_open_connection: connection opened
[2019/10/01 16:56:19.377871, 10, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1007(smbldap_connect_system)
  ldap_connect_system: Binding to ldap server ldaps://dns1.ipa.mydomain.com ldaps://dns2.ipa.mydomain.com as "(null)"
[2019/10/01 16:56:19.377959,  4, pid=11558, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:216(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2019/10/01 16:56:19.378017,  4, pid=11558, effective(0, 0), real(0, 0)] ../source3/smbd/uid.c:558(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2019/10/01 16:56:19.378050,  4, pid=11558, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:320(set_sec_ctx_internal)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2019/10/01 16:56:19.378084,  5, pid=11558, effective(0, 0), real(0, 0)] ../libcli/security/security_token.c:53(security_token_debug)
  Security token: (NULL)
[2019/10/01 16:56:19.378119,  5, pid=11558, effective(0, 0), real(0, 0)] ../source3/auth/token_util.c:850(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2019/10/01 16:56:19.378501,  5, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1173(smbldap_close)
  The connection to the LDAP server was closed
[2019/10/01 16:56:19.378542,  5, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1173(smbldap_close)
  The connection to the LDAP server was closed
[2019/10/01 16:56:19.378590,  5, pid=11559, effective(0, 0), real(0, 0), class=passdb] ../source3/passdb/pdb_interface.c:155(make_pdb_method_name)
  Attempting to find a passdb backend to match ipasam:ldaps://dns1.ipa.mydomain.com ldaps://dns2.ipa.mydomain.com (ipasam)
[2019/10/01 16:56:19.378625,  5, pid=11559, effective(0, 0), real(0, 0), class=passdb] ../source3/passdb/pdb_interface.c:176(make_pdb_method_name)
  Found pdb backend ipasam
[2019/10/01 16:56:19.378964,  5, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [], filter => [(objectclass=*)], scope => [0]
[2019/10/01 16:56:19.379029,  5, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1173(smbldap_close)
  The connection to the LDAP server was closed
[2019/10/01 16:56:19.379055, 10, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:648(smb_ldap_setup_conn)
  smb_ldap_setup_connection: ldaps://dns1.ipa.mydomain.com ldaps://dns2.ipa.mydomain.com
[2019/10/01 16:56:19.379173,  2, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:847(smbldap_open_connection)
  smbldap_open_connection: connection opened
[2019/10/01 16:56:19.379198, 10, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1007(smbldap_connect_system)
  ldap_connect_system: Binding to ldap server ldaps://dns1.ipa.mydomain.com ldaps://dns2.ipa.mydomain.com as "(null)"
[2019/10/01 16:56:19.379244,  4, pid=11559, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:216(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2019/10/01 16:56:19.379288,  4, pid=11559, effective(0, 0), real(0, 0)] ../source3/smbd/uid.c:558(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2019/10/01 16:56:19.379319,  4, pid=11559, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:320(set_sec_ctx_internal)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2019/10/01 16:56:19.379350,  5, pid=11559, effective(0, 0), real(0, 0)] ../libcli/security/security_token.c:53(security_token_debug)
  Security token: (NULL)
[2019/10/01 16:56:19.379384,  5, pid=11559, effective(0, 0), real(0, 0)] ../source3/auth/token_util.c:850(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2019/10/01 16:56:19.468434,  4, pid=11558, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:438(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2019/10/01 16:56:19.471122,  3, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1069(smbldap_connect_system)
  ldap_connect_system: successful connection to the LDAP server
  ldap_connect_system: LDAP server does support paged results
[2019/10/01 16:56:19.471170,  4, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1151(smbldap_open)
  The LDAP server is successfully connected
[2019/10/01 16:56:19.475630,  5, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [dc=ipa,dc=mydomain,dc=com], filter => [objectclass=domainRelatedObject], scope => [0]
[2019/10/01 16:56:19.507404,  5, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [dc=ipa,dc=mydomain,dc=com], filter => [objectclass=krbrealmcontainer], scope => [2]
[2019/10/01 16:56:19.521859,  5, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [dc=ipa,dc=mydomain,dc=com], filter => [objectClass=ipaNTDomainAttrs], scope => [2]
[2019/10/01 16:56:19.523797,  5, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [cn=Default SMB Group,cn=groups,cn=accounts,dc=ipa,dc=mydomain,dc=com], filter => [objectClass=*], scope => [0]
[2019/10/01 16:56:19.525186,  5, pid=11558, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:130(dbwrap_lock_order_lock)
  dbwrap_lock_order_lock: check lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.525234, 10, pid=11558, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:116(debug_lock_order)
  lock order:  1:/var/lib/samba/private/secrets.tdb 2:<none> 3:<none>
[2019/10/01 16:56:19.525290,  5, pid=11558, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:159(dbwrap_lock_order_unlock)
  dbwrap_lock_order_unlock: release lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.525458,  5, pid=11558, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:130(dbwrap_lock_order_lock)
  dbwrap_lock_order_lock: check lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.525486, 10, pid=11558, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:116(debug_lock_order)
  lock order:  1:/var/lib/samba/private/secrets.tdb 2:<none> 3:<none>
[2019/10/01 16:56:19.525522,  5, pid=11558, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:159(dbwrap_lock_order_unlock)
  dbwrap_lock_order_unlock: release lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.525578,  5, pid=11558, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:130(dbwrap_lock_order_lock)
  dbwrap_lock_order_lock: check lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.525604, 10, pid=11558, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:116(debug_lock_order)
  lock order:  1:/var/lib/samba/private/secrets.tdb 2:<none> 3:<none>
[2019/10/01 16:56:19.525639,  5, pid=11558, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:159(dbwrap_lock_order_unlock)
  dbwrap_lock_order_unlock: release lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.525676,  5, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [cn=IPA.MYDOMAIN.COM,cn=kerberos,dc=ipa,dc=mydomain,dc=com], filter => [objectclass=krbrealmcontainer], scope => [0]
[2019/10/01 16:56:19.526467, 10, pid=11558, effective(0, 0), real(0, 0)] ipa_sam.c:398(get_attribute_values)
  Attribute [krbDefaultEncSaltTypes] not found.
[2019/10/01 16:56:19.526510,  1, pid=11558, effective(0, 0), real(0, 0)] ipa_sam.c:4867(pdb_init_ipasam)
  pdb_init_ipasam: support for pdb_enum_upn_suffixes enabled for domain ipa.mydomain.com
[2019/10/01 16:56:19.526540,  5, pid=11558, effective(0, 0), real(0, 0), class=passdb] ../source3/passdb/pdb_interface.c:187(make_pdb_method_name)
  pdb backend ipasam:ldaps://dns1.ipa.mydomain.com ldaps://dns2.ipa.mydomain.com has a valid init
[2019/10/01 16:56:19.526702,  5, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/messages.c:709(messaging_register)
  Registering messaging pointer for type 794 - private_data=0x561a5f1ad7d0
[2019/10/01 16:56:19.526716,  4, pid=11559, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:438(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2019/10/01 16:56:19.526738,  5, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/messages.c:709(messaging_register)
  Registering messaging pointer for type 795 - private_data=0x561a5f1ad7d0
[2019/10/01 16:56:19.526763,  5, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/messages.c:709(messaging_register)
  Registering messaging pointer for type 796 - private_data=0x561a5f1ad7d0
[2019/10/01 16:56:19.527514, 10, pid=11558, effective(0, 0), real(0, 0)] ../source3/lib/messages_dgm.c:1436(messaging_dgm_send)
  messaging_dgm_send: Sending message to 11556
[2019/10/01 16:56:19.528813,  3, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1069(smbldap_connect_system)
  ldap_connect_system: successful connection to the LDAP server
  ldap_connect_system: LDAP server does support paged results
[2019/10/01 16:56:19.528857,  4, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1151(smbldap_open)
  The LDAP server is successfully connected
[2019/10/01 16:56:19.533209,  5, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [dc=ipa,dc=mydomain,dc=com], filter => [objectclass=domainRelatedObject], scope => [0]
[2019/10/01 16:56:19.553798,  5, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [dc=ipa,dc=mydomain,dc=com], filter => [objectclass=krbrealmcontainer], scope => [2]
[2019/10/01 16:56:19.555559,  5, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [dc=ipa,dc=mydomain,dc=com], filter => [objectClass=ipaNTDomainAttrs], scope => [2]
[2019/10/01 16:56:19.557469,  5, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [cn=Default SMB Group,cn=groups,cn=accounts,dc=ipa,dc=mydomain,dc=com], filter => [objectClass=*], scope => [0]
[2019/10/01 16:56:19.558550,  5, pid=11559, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:130(dbwrap_lock_order_lock)
  dbwrap_lock_order_lock: check lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.558598, 10, pid=11559, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:116(debug_lock_order)
  lock order:  1:/var/lib/samba/private/secrets.tdb 2:<none> 3:<none>
[2019/10/01 16:56:19.558648,  5, pid=11559, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:159(dbwrap_lock_order_unlock)
  dbwrap_lock_order_unlock: release lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.558704,  5, pid=11559, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:130(dbwrap_lock_order_lock)
  dbwrap_lock_order_lock: check lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.558730, 10, pid=11559, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:116(debug_lock_order)
  lock order:  1:/var/lib/samba/private/secrets.tdb 2:<none> 3:<none>
[2019/10/01 16:56:19.558764,  5, pid=11559, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:159(dbwrap_lock_order_unlock)
  dbwrap_lock_order_unlock: release lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.558818,  5, pid=11559, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:130(dbwrap_lock_order_lock)
  dbwrap_lock_order_lock: check lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.558843, 10, pid=11559, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:116(debug_lock_order)
  lock order:  1:/var/lib/samba/private/secrets.tdb 2:<none> 3:<none>
[2019/10/01 16:56:19.558878,  5, pid=11559, effective(0, 0), real(0, 0)] ../lib/dbwrap/dbwrap.c:159(dbwrap_lock_order_unlock)
  dbwrap_lock_order_unlock: release lock order 1 for /var/lib/samba/private/secrets.tdb
[2019/10/01 16:56:19.558919,  5, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [cn=IPA.MYDOMAIN.COM,cn=kerberos,dc=ipa,dc=mydomain,dc=com], filter => [objectclass=krbrealmcontainer], scope => [0]
[2019/10/01 16:56:19.559733, 10, pid=11559, effective(0, 0), real(0, 0)] ipa_sam.c:398(get_attribute_values)
  Attribute [krbDefaultEncSaltTypes] not found.
[2019/10/01 16:56:19.559774,  1, pid=11559, effective(0, 0), real(0, 0)] ipa_sam.c:4867(pdb_init_ipasam)
  pdb_init_ipasam: support for pdb_enum_upn_suffixes enabled for domain ipa.mydomain.com
[2019/10/01 16:56:19.559803,  5, pid=11559, effective(0, 0), real(0, 0), class=passdb] ../source3/passdb/pdb_interface.c:187(make_pdb_method_name)
  pdb backend ipasam:ldaps://dns1.ipa.mydomain.com ldaps://dns2.ipa.mydomain.com has a valid init
[2019/10/01 16:56:19.559894,  5, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/messages.c:709(messaging_register)
  Registering messaging pointer for type 13 - private_data=0x561a5f1adc80
[2019/10/01 16:56:19.559927,  5, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/messages.c:709(messaging_register)
  Registering messaging pointer for type 788 - private_data=0x561a5f1adc80
[2019/10/01 16:56:19.559961,  5, pid=11559, effective(0, 0), real(0, 0)] ../source3/lib/messages.c:709(messaging_register)
  Registering messaging pointer for type 785 - private_data=(nil)
[2019/10/01 16:56:19.560025, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/server.c:593(cleanupd_init)
  cleanupd_init: Started cleanupd pid=11559
[2019/10/01 16:56:19.560179,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/messages.c:709(messaging_register)
  Registering messaging pointer for type 789 - private_data=0x561a5f0a8850
[2019/10/01 16:56:19.560217, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:731(regdb_init)
  regdb_init: incrementing refcount (2->3)
[2019/10/01 16:56:19.560475, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1907(regdb_fetch_values_internal)
  regdb_fetch_values: Looking for values of key [HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Ports]
[2019/10/01 16:56:19.560526, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1852(regdb_unpack_values)
  regdb_unpack_values: value[0]: name[Samba Printer Port] len[2]
[2019/10/01 16:56:19.560556, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1907(regdb_fetch_values_internal)
  regdb_fetch_values: Looking for values of key [HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Print\Printers]
[2019/10/01 16:56:19.560600, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1852(regdb_unpack_values)
  regdb_unpack_values: value[0]: name[DefaultSpoolDirectory] len[70]
[2019/10/01 16:56:19.560627, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1907(regdb_fetch_values_internal)
  regdb_fetch_values: Looking for values of key [HKLM\SYSTEM\CurrentControlSet\Services\Eventlog]
[2019/10/01 16:56:19.560669, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1852(regdb_unpack_values)
  regdb_unpack_values: value[0]: name[DisplayName] len[20]
[2019/10/01 16:56:19.560699, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1852(regdb_unpack_values)
  regdb_unpack_values: value[1]: name[ErrorControl] len[4]
[2019/10/01 16:56:19.560725, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1907(regdb_fetch_values_internal)
  regdb_fetch_values: Looking for values of key [HKLM\SYSTEM\CurrentControlSet\Services\Eventlog]
[2019/10/01 16:56:19.560767, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1852(regdb_unpack_values)
  regdb_unpack_values: value[0]: name[DisplayName] len[20]
[2019/10/01 16:56:19.560801, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:1852(regdb_unpack_values)
  regdb_unpack_values: value[1]: name[ErrorControl] len[4]
[2019/10/01 16:56:19.560831, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:94(reghook_cache_add)
  reghook_cache_add: Adding ops 0x7f254c93d460 for key [\HKLM\SYSTEM\CurrentControlSet\Control\Print\Printers]
[2019/10/01 16:56:19.560857,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:215(pathtree_add)
  pathtree_add: Enter
[2019/10/01 16:56:19.560885, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:282(pathtree_add)
  pathtree_add: Successfully added node [HKLM\SYSTEM\CurrentControlSet\Control\Print\Printers] to tree
[2019/10/01 16:56:19.560910,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:284(pathtree_add)
  pathtree_add: Exit
[2019/10/01 16:56:19.560942, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:94(reghook_cache_add)
  reghook_cache_add: Adding ops 0x7f254c3b8000 for key [\HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Print\Printers]
[2019/10/01 16:56:19.560967,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:215(pathtree_add)
  pathtree_add: Enter
[2019/10/01 16:56:19.560994, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:282(pathtree_add)
  pathtree_add: Successfully added node [HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Print\Printers] to tree
[2019/10/01 16:56:19.561019,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:284(pathtree_add)
  pathtree_add: Exit
[2019/10/01 16:56:19.561042, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:94(reghook_cache_add)
  reghook_cache_add: Adding ops 0x7f254c3b8000 for key [\HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Ports]
[2019/10/01 16:56:19.561066,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:215(pathtree_add)
  pathtree_add: Enter
[2019/10/01 16:56:19.561092, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:282(pathtree_add)
  pathtree_add: Successfully added node [HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Ports] to tree
[2019/10/01 16:56:19.561116,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:284(pathtree_add)
  pathtree_add: Exit
[2019/10/01 16:56:19.561139, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:94(reghook_cache_add)
  reghook_cache_add: Adding ops 0x7f254c3b8000 for key [\HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Print\PackageInstallation]
[2019/10/01 16:56:19.561163,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:215(pathtree_add)
  pathtree_add: Enter
[2019/10/01 16:56:19.561194, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:282(pathtree_add)
  pathtree_add: Successfully added node [HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Print\PackageInstallation] to tree
[2019/10/01 16:56:19.561218,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:284(pathtree_add)
  pathtree_add: Exit
[2019/10/01 16:56:19.561241, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:94(reghook_cache_add)
  reghook_cache_add: Adding ops 0x7f254c93d4c0 for key [\HKLM\SYSTEM\CurrentControlSet\Services\LanmanServer\Shares]
[2019/10/01 16:56:19.561265,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:215(pathtree_add)
  pathtree_add: Enter
[2019/10/01 16:56:19.561291, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:282(pathtree_add)
  pathtree_add: Successfully added node [HKLM\SYSTEM\CurrentControlSet\Services\LanmanServer\Shares] to tree
[2019/10/01 16:56:19.561317,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:284(pathtree_add)
  pathtree_add: Exit
[2019/10/01 16:56:19.561348, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:94(reghook_cache_add)
  reghook_cache_add: Adding ops 0x7f254c3b83c0 for key [\HKLM\SOFTWARE\Samba\smbconf]
[2019/10/01 16:56:19.561371,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:215(pathtree_add)
  pathtree_add: Enter
[2019/10/01 16:56:19.561395, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:282(pathtree_add)
  pathtree_add: Successfully added node [HKLM\SOFTWARE\Samba\smbconf] to tree
[2019/10/01 16:56:19.561417,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:284(pathtree_add)
  pathtree_add: Exit
[2019/10/01 16:56:19.561440, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:94(reghook_cache_add)
  reghook_cache_add: Adding ops 0x7f254c93d520 for key [\HKLM\SYSTEM\CurrentControlSet\Services\Netlogon\Parameters]
[2019/10/01 16:56:19.561464,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:215(pathtree_add)
  pathtree_add: Enter
[2019/10/01 16:56:19.561490, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:282(pathtree_add)
  pathtree_add: Successfully added node [HKLM\SYSTEM\CurrentControlSet\Services\Netlogon\Parameters] to tree
[2019/10/01 16:56:19.561514,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:284(pathtree_add)
  pathtree_add: Exit
[2019/10/01 16:56:19.561536, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:94(reghook_cache_add)
  reghook_cache_add: Adding ops 0x7f254c93d580 for key [\HKLM\SYSTEM\CurrentControlSet\Control\ProductOptions]
[2019/10/01 16:56:19.561560,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:215(pathtree_add)
  pathtree_add: Enter
[2019/10/01 16:56:19.561586, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:282(pathtree_add)
  pathtree_add: Successfully added node [HKLM\SYSTEM\CurrentControlSet\Control\ProductOptions] to tree
[2019/10/01 16:56:19.561610,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:284(pathtree_add)
  pathtree_add: Exit
[2019/10/01 16:56:19.561633, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:94(reghook_cache_add)
  reghook_cache_add: Adding ops 0x7f254c93d5e0 for key [\HKLM\SYSTEM\CurrentControlSet\Services\Tcpip\Parameters]
[2019/10/01 16:56:19.561656,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:215(pathtree_add)
  pathtree_add: Enter
[2019/10/01 16:56:19.561682, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:282(pathtree_add)
  pathtree_add: Successfully added node [HKLM\SYSTEM\CurrentControlSet\Services\Tcpip\Parameters] to tree
[2019/10/01 16:56:19.561706,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:284(pathtree_add)
  pathtree_add: Exit
[2019/10/01 16:56:19.561733, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:94(reghook_cache_add)
  reghook_cache_add: Adding ops 0x7f254c93d640 for key [\HKPT]
[2019/10/01 16:56:19.561757,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:215(pathtree_add)
  pathtree_add: Enter
[2019/10/01 16:56:19.561780, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:282(pathtree_add)
  pathtree_add: Successfully added node [HKPT] to tree
[2019/10/01 16:56:19.561803,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:284(pathtree_add)
  pathtree_add: Exit
[2019/10/01 16:56:19.561826, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:94(reghook_cache_add)
  reghook_cache_add: Adding ops 0x7f254c93d6a0 for key [\HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion]
[2019/10/01 16:56:19.561850,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:215(pathtree_add)
  pathtree_add: Enter
[2019/10/01 16:56:19.561880, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:282(pathtree_add)
  pathtree_add: Successfully added node [HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion] to tree
[2019/10/01 16:56:19.561903,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:284(pathtree_add)
  pathtree_add: Exit
[2019/10/01 16:56:19.561931, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_cachehook.c:94(reghook_cache_add)
  reghook_cache_add: Adding ops 0x7f254c93d700 for key [\HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Perflib]
[2019/10/01 16:56:19.561961,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:215(pathtree_add)
  pathtree_add: Enter
[2019/10/01 16:56:19.561988, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:282(pathtree_add)
  pathtree_add: Successfully added node [HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Perflib] to tree
[2019/10/01 16:56:19.562011,  8, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/adt_tree.c:284(pathtree_add)
  pathtree_add: Exit
[2019/10/01 16:56:19.562034, 10, pid=11556, effective(0, 0), real(0, 0), class=registry] ../source3/registry/reg_backend_db.c:904(regdb_close)
  regdb_close: decrementing refcount (3->2)
[2019/10/01 16:56:19.562224, 10, pid=11556, effective(0, 0), real(0, 0), class=auth] ../source3/auth/auth_util.c:1088(auth3_session_info_create)
  Could not convert SID S-1-5-18 to gid, ignoring it
[2019/10/01 16:56:19.562267, 10, pid=11556, effective(0, 0), real(0, 0)] ../libcli/security/security_token.c:63(security_token_debug)
  Security token SIDs (1):
    SID[  0]: S-1-5-18
   Privileges (0xFFFFFFFFFFFFFFFF):
    Privilege[  0]: SeMachineAccountPrivilege
    Privilege[  1]: SeTakeOwnershipPrivilege
    Privilege[  2]: SeBackupPrivilege
    Privilege[  3]: SeRestorePrivilege
    Privilege[  4]: SeRemoteShutdownPrivilege
    Privilege[  5]: SePrintOperatorPrivilege
    Privilege[  6]: SeAddUsersPrivilege
    Privilege[  7]: SeDiskOperatorPrivilege
    Privilege[  8]: SeSecurityPrivilege
    Privilege[  9]: SeSystemtimePrivilege
    Privilege[ 10]: SeShutdownPrivilege
    Privilege[ 11]: SeDebugPrivilege
    Privilege[ 12]: SeSystemEnvironmentPrivilege
    Privilege[ 13]: SeSystemProfilePrivilege
    Privilege[ 14]: SeProfileSingleProcessPrivilege
    Privilege[ 15]: SeIncreaseBasePriorityPrivilege
    Privilege[ 16]: SeLoadDriverPrivilege
    Privilege[ 17]: SeCreatePagefilePrivilege
    Privilege[ 18]: SeIncreaseQuotaPrivilege
    Privilege[ 19]: SeChangeNotifyPrivilege
    Privilege[ 20]: SeUndockPrivilege
    Privilege[ 21]: SeManageVolumePrivilege
    Privilege[ 22]: SeImpersonatePrivilege
    Privilege[ 23]: SeCreateGlobalPrivilege
    Privilege[ 24]: SeEnableDelegationPrivilege
   Rights (0x               0):
[2019/10/01 16:56:19.562457, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/auth/token_util.c:850(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 1 supplementary groups
  Group[  0]: 0
[2019/10/01 16:56:19.562512,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/username.c:181(Get_Pwnam_alloc)
  Finding user nobody
[2019/10/01 16:56:19.562541,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/username.c:120(Get_Pwnam_internals)
  Trying _Get_Pwnam(), username as lowercase is nobody
[2019/10/01 16:56:19.562647,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/username.c:159(Get_Pwnam_internals)
  Get_Pwnam_internals did find user [nobody]!
[2019/10/01 16:56:19.562701,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/username.c:181(Get_Pwnam_alloc)
  Finding user IPA\nobody
[2019/10/01 16:56:19.562726,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/username.c:120(Get_Pwnam_internals)
  Trying _Get_Pwnam(), username as lowercase is ipa\nobody
[2019/10/01 16:56:19.563516,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/username.c:128(Get_Pwnam_internals)
  Trying _Get_Pwnam(), username as given is IPA\nobody
[2019/10/01 16:56:19.563694,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/username.c:141(Get_Pwnam_internals)
  Trying _Get_Pwnam(), username as uppercase is IPA\NOBODY
[2019/10/01 16:56:19.563845,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/username.c:153(Get_Pwnam_internals)
  Checking combinations of 0 uppercase letters in ipa\nobody
[2019/10/01 16:56:19.563872,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/username.c:159(Get_Pwnam_internals)
  Get_Pwnam_internals didn't find user [IPA\nobody]!
[2019/10/01 16:56:19.563896,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/username.c:181(Get_Pwnam_alloc)
  Finding user nobody
[2019/10/01 16:56:19.563919,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/username.c:120(Get_Pwnam_internals)
  Trying _Get_Pwnam(), username as lowercase is nobody
[2019/10/01 16:56:19.563961,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/username.c:159(Get_Pwnam_internals)
  Get_Pwnam_internals did find user [nobody]!
[2019/10/01 16:56:19.564004, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/auth/token_util.c:319(create_local_nt_token_from_info3)
  Create local NT token for nobody
[2019/10/01 16:56:19.564031,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/username.c:181(Get_Pwnam_alloc)
  Finding user nobody
[2019/10/01 16:56:19.564054,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/username.c:120(Get_Pwnam_internals)
  Trying _Get_Pwnam(), username as lowercase is nobody
[2019/10/01 16:56:19.564079,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/username.c:159(Get_Pwnam_internals)
  Get_Pwnam_internals did find user [nobody]!
[2019/10/01 16:56:19.564126, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/system_smbd.c:176(sys_getgrouplist)
  sys_getgrouplist: user [nobody]
[2019/10/01 16:56:19.564509,  5, pid=11556, effective(0, 0), real(0, 0), class=tdb] ../source3/lib/gencache.c:72(gencache_init)
  Opening cache file at /var/lib/samba/gencache.tdb
[2019/10/01 16:56:19.564586,  5, pid=11556, effective(0, 0), real(0, 0), class=tdb] ../source3/lib/gencache.c:100(gencache_init)
  Opening cache file at /var/lib/samba/lock/gencache_notrans.tdb
[2019/10/01 16:56:19.567773, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/passdb/lookup_sid.c:1335(gid_to_sid)
  gid 99 -> sid S-1-22-2-99
[2019/10/01 16:56:19.567846,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:216(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2019/10/01 16:56:19.567879,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/uid.c:558(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2019/10/01 16:56:19.567907,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:320(set_sec_ctx_internal)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2019/10/01 16:56:19.567933,  5, pid=11556, effective(0, 0), real(0, 0)] ../libcli/security/security_token.c:53(security_token_debug)
  Security token: (NULL)
[2019/10/01 16:56:19.567977,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/auth/token_util.c:850(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2019/10/01 16:56:19.568070,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:438(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2019/10/01 16:56:19.568196,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:216(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2019/10/01 16:56:19.568221,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/uid.c:558(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2019/10/01 16:56:19.568244,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:320(set_sec_ctx_internal)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2019/10/01 16:56:19.568266,  5, pid=11556, effective(0, 0), real(0, 0)] ../libcli/security/security_token.c:53(security_token_debug)
  Security token: (NULL)
[2019/10/01 16:56:19.568288,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/auth/token_util.c:850(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2019/10/01 16:56:19.568357,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [dc=ipa,dc=mydomain,dc=com], filter => [(&(ipaNTSecurityIdentifier=S-1-5-32-544)(|(objectClass=ipaNTGroupAttrs)(objectClass=ipaNTUserAttrs)))], scope => [2]
[2019/10/01 16:56:19.568587, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1372(smbldap_search_ext)
  Failed search for base: dc=ipa,dc=mydomain,dc=com, error: -1 (Can't contact LDAP server) (unknown)
[2019/10/01 16:56:19.569402, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:648(smb_ldap_setup_conn)
  smb_ldap_setup_connection: ldaps://dns1.ipa.mydomain.com ldaps://dns2.ipa.mydomain.com
[2019/10/01 16:56:19.569493,  2, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:847(smbldap_open_connection)
  smbldap_open_connection: connection opened
[2019/10/01 16:56:19.569521, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1007(smbldap_connect_system)
  ldap_connect_system: Binding to ldap server ldaps://dns1.ipa.mydomain.com ldaps://dns2.ipa.mydomain.com as "(null)"
[2019/10/01 16:56:19.569548,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:216(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 2
[2019/10/01 16:56:19.569581,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/uid.c:558(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 1
[2019/10/01 16:56:19.569605,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:320(set_sec_ctx_internal)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 2
[2019/10/01 16:56:19.569628,  5, pid=11556, effective(0, 0), real(0, 0)] ../libcli/security/security_token.c:53(security_token_debug)
  Security token: (NULL)
[2019/10/01 16:56:19.569649,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/auth/token_util.c:850(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2019/10/01 16:56:19.659776,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:438(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 1
[2019/10/01 16:56:19.661891,  3, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1069(smbldap_connect_system)
  ldap_connect_system: successful connection to the LDAP server
  ldap_connect_system: LDAP server does support paged results
[2019/10/01 16:56:19.661952,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1151(smbldap_open)
  The LDAP server is successfully connected
[2019/10/01 16:56:19.688721, 10, pid=11556, effective(0, 0), real(0, 0)] ipa_sam.c:810(ldapsam_sid_to_id)
  Got 0 entries, expected one
[2019/10/01 16:56:19.688770, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/groupdb/mapping.c:814(pdb_create_builtin_alias)
  Trying to create builtin alias 544
[2019/10/01 16:56:19.688807, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/passdb/lookup_sid.c:1061(lookup_sid)
  lookup_sid called for SID 'S-1-5-32-544'
[2019/10/01 16:56:19.688863, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/passdb/lookup_sid.c:813(check_dom_sid_to_level)
  Accepting SID S-1-5-32 in level 1
[2019/10/01 16:56:19.688892, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/passdb/lookup_sid.c:574(lookup_rids)
  lookup_rids called for domain sid 'S-1-5-32'
[2019/10/01 16:56:19.688924, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/passdb/lookup_sid.c:1096(lookup_sid)
  Sid S-1-5-32-544 -> BUILTIN\Administrators(4)
[2019/10/01 16:56:19.688964,  3, pid=11556, effective(0, 0), real(0, 0)] ../source3/groupdb/mapping.c:834(pdb_create_builtin_alias)
  pdb_create_builtin_alias: Could not get a gid out of winbind
[2019/10/01 16:56:19.688990,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/passdb/pdb_util.c:158(create_builtin_administrators)
  create_builtin_administrators: Failed to create Administrators
[2019/10/01 16:56:19.689036,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:438(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2019/10/01 16:56:19.689062,  2, pid=11556, effective(0, 0), real(0, 0)] ../source3/auth/token_util.c:713(finalize_local_nt_token)
  WARNING: Failed to create BUILTIN\Administrators group!  Can Winbind allocate gids?
[2019/10/01 16:56:19.689111,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:216(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2019/10/01 16:56:19.689137,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/uid.c:558(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2019/10/01 16:56:19.689160,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:320(set_sec_ctx_internal)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2019/10/01 16:56:19.689184,  5, pid=11556, effective(0, 0), real(0, 0)] ../libcli/security/security_token.c:53(security_token_debug)
  Security token: (NULL)
[2019/10/01 16:56:19.689205,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/auth/token_util.c:850(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2019/10/01 16:56:19.689260,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [dc=ipa,dc=mydomain,dc=com], filter => [(&(ipaNTSecurityIdentifier=S-1-5-32-545)(|(objectClass=ipaNTGroupAttrs)(objectClass=ipaNTUserAttrs)))], scope => [2]
[2019/10/01 16:56:19.691361, 10, pid=11556, effective(0, 0), real(0, 0)] ipa_sam.c:810(ldapsam_sid_to_id)
  Got 0 entries, expected one
[2019/10/01 16:56:19.691398, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/groupdb/mapping.c:814(pdb_create_builtin_alias)
  Trying to create builtin alias 545
[2019/10/01 16:56:19.691427, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/passdb/lookup_sid.c:1061(lookup_sid)
  lookup_sid called for SID 'S-1-5-32-545'
[2019/10/01 16:56:19.691459, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/passdb/lookup_sid.c:813(check_dom_sid_to_level)
  Accepting SID S-1-5-32 in level 1
[2019/10/01 16:56:19.691499, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/passdb/lookup_sid.c:574(lookup_rids)
  lookup_rids called for domain sid 'S-1-5-32'
[2019/10/01 16:56:19.691527, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/passdb/lookup_sid.c:1096(lookup_sid)
  Sid S-1-5-32-545 -> BUILTIN\Users(4)
[2019/10/01 16:56:19.691553,  3, pid=11556, effective(0, 0), real(0, 0)] ../source3/groupdb/mapping.c:834(pdb_create_builtin_alias)
  pdb_create_builtin_alias: Could not get a gid out of winbind
[2019/10/01 16:56:19.691575,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/passdb/pdb_util.c:128(create_builtin_users)
  create_builtin_users: Failed to create Users
[2019/10/01 16:56:19.691608,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:438(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2019/10/01 16:56:19.691633,  2, pid=11556, effective(0, 0), real(0, 0)] ../source3/auth/token_util.c:732(finalize_local_nt_token)
  WARNING: Failed to create BUILTIN\Users group! Can Winbind allocate gids?
[2019/10/01 16:56:19.691668,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:216(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2019/10/01 16:56:19.691693,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/uid.c:558(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2019/10/01 16:56:19.691715,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:320(set_sec_ctx_internal)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2019/10/01 16:56:19.691737,  5, pid=11556, effective(0, 0), real(0, 0)] ../libcli/security/security_token.c:53(security_token_debug)
  Security token: (NULL)
[2019/10/01 16:56:19.691759,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/auth/token_util.c:850(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2019/10/01 16:56:19.691812,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/lib/smbldap.c:1308(smbldap_search_ext)
  smbldap_search_ext: base => [dc=ipa,dc=mydomain,dc=com], filter => [(&(ipaNTSecurityIdentifier=S-1-5-32-546)(|(objectClass=ipaNTGroupAttrs)(objectClass=ipaNTUserAttrs)))], scope => [2]
[2019/10/01 16:56:19.694058, 10, pid=11556, effective(0, 0), real(0, 0)] ipa_sam.c:810(ldapsam_sid_to_id)
  Got 0 entries, expected one
[2019/10/01 16:56:19.694095, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/groupdb/mapping.c:814(pdb_create_builtin_alias)
  Trying to create builtin alias 546
[2019/10/01 16:56:19.694133, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/passdb/lookup_sid.c:1061(lookup_sid)
  lookup_sid called for SID 'S-1-5-32-546'
[2019/10/01 16:56:19.694160, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/passdb/lookup_sid.c:813(check_dom_sid_to_level)
  Accepting SID S-1-5-32 in level 1
[2019/10/01 16:56:19.694186, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/passdb/lookup_sid.c:574(lookup_rids)
  lookup_rids called for domain sid 'S-1-5-32'
[2019/10/01 16:56:19.694213, 10, pid=11556, effective(0, 0), real(0, 0)] ../source3/passdb/lookup_sid.c:1096(lookup_sid)
  Sid S-1-5-32-546 -> BUILTIN\Guests(4)
[2019/10/01 16:56:19.694239,  3, pid=11556, effective(0, 0), real(0, 0)] ../source3/groupdb/mapping.c:834(pdb_create_builtin_alias)
  pdb_create_builtin_alias: Could not get a gid out of winbind
[2019/10/01 16:56:19.694262,  5, pid=11556, effective(0, 0), real(0, 0)] ../source3/passdb/pdb_util.c:201(create_builtin_guests)
  create_builtin_guests: Failed to create Guests
[2019/10/01 16:56:19.694294,  4, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/sec_ctx.c:438(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2019/10/01 16:56:19.694319,  2, pid=11556, effective(0, 0), real(0, 0)] ../source3/auth/token_util.c:774(finalize_local_nt_token)
  Failed to create BUILTIN\Guests group NT_STATUS_ACCESS_DENIED!  Can Winbind allocate gids?
[2019/10/01 16:56:19.694352,  3, pid=11556, effective(0, 0), real(0, 0)] ../source3/auth/token_util.c:412(create_local_nt_token_from_info3)
  Failed to finalize nt token
[2019/10/01 16:56:19.694376,  0, pid=11556, effective(0, 0), real(0, 0), class=auth] ../source3/auth/auth_util.c:1382(make_new_session_info_guest)
  create_local_token failed: NT_STATUS_ACCESS_DENIED
[2019/10/01 16:56:19.694437,  0, pid=11556, effective(0, 0), real(0, 0)] ../source3/smbd/server.c:2000(main)
samba.log-scrubbed (77,262 bytes)   
bgstack15

bgstack15

2020-03-03 12:55

reporter   ~0036436

As noted at https://bgstack15.wordpress.com/2017/05/10/samba-share-with-freeipa-auth/comment-page-1/#comment-3027, commenting two entries in the smb.conf (embedded in the attached samba.log-scrubbed) will make samba-4.9.1-10.el7_7.x86_64 work with ipasam as expected! Comment out these two lines:
# domain master = Yes
# domain logons = Yes

Issue History

Date Modified Username Field Change
2019-10-01 21:55 bgstack15 New Issue
2019-10-01 21:55 bgstack15 File Added: samba.log-scrubbed
2019-10-01 21:55 bgstack15 Tag Attached: samba
2020-03-03 12:55 bgstack15 Note Added: 0036436